Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 20 Aug 2018, 01:47
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
palemoon browser
Post new topic   Reply to topic View previous topic :: View next topic
Page 34 of 44 [652 Posts]   Goto page: Previous 1, 2, 3, ..., 32, 33, 34, 35, 36, ..., 42, 43, 44 Next
Author Message
Sailor Enceladus

Joined: 22 Feb 2016
Posts: 1540

PostPosted: Wed 10 Jan 2018, 18:31    Post subject: Re: youtube broke  

sindi wrote:
Is there a graphical youtube downloader known to still work? Many of my laptops do not have enough cpu/gpu power or memory to run firefox and youtube. Smtube worked on a 1GHz PIII.

This trick by nic007 usually works for me but you have to use Firefox 28 to do it (in Palemoon it only half works - showing the menu but doesn't save the video when clicking on that option, and in Firefox 52ESR it doesn't work at all, at least for me)

edit: Just tested again, this trick still works in Firefox 28 Smile and not in Palemoon Sad
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 853
Location: Ann Arbor MI USA

PostPosted: Thu 11 Jan 2018, 22:31    Post subject: Palemoon and Youtube at multiple resolutions  

In Lupu 2016 and Tahr 6.0.5 (at least on this laptop from 2004) I can play Youtube videos with Pale Moon 27.6.2 but only at 360p. In Xenial, with PM 27.6.1, they play at all resolutions.

I changed the line in about:config with 'obsolete' in it from False to True in order to get all the resolutions.

Has anyone else had this problem? I think it started recently.
Back to top
View user's profile Send private message 
thinkpadfreak

Joined: 17 Oct 2016
Posts: 26

PostPosted: Sun 14 Jan 2018, 08:29    Post subject:  

sindi wrote:
> I changed the line in about:config with 'obsolete' in it from False to True in order to get all the resolutions.

I think Pale Moon 27.6 plays h264/mp4 video with the help of libavcodec existing in the OS.
When libavcodec is "obsolete," Pale Moon does not use it but plays the video with VP8 codec, unless "allow obsolete" is true. It seems that not all the resolutions are available when the video is played with vp8 codec.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 853
Location: Ann Arbor MI USA

PostPosted: Sun 14 Jan 2018, 12:06    Post subject: palemoon only plays youtube at 360p
Subject description: with or without libavcodec (TRUE or FALSE)
 

[quote="thinkpadfreak"]sindi wrote:
> I changed the line in about:config with 'obsolete' in it from False to True in order to get all the resolutions.

I think Pale Moon 27.6 plays h264/mp4 video with the help of libavcodec existing in the OS.
When libavcodec is "obsolete," Pale Moon does not use it but plays the video with VP8 codec, unless "allow obsolete" is true. It seems that not all the resolutions are available when the video is played with vp8 codec.[/quote]

Walter Dnes said to change the line to TRUE to get the other resolutions and it worked until a few days ago. Now I get only 360p with it TRUE, same as FALSE. Please confirm. I have ImageBlock, Adblock Plus (to try to stop Youtube ads), Noscript and a Youtube video downloader.

Another add-on disabled Youtube entirely (something about cinema mode).

New Moon 27.7 for XP (PaleMoon unofficial for XP and Win2K) with three extra DLLs needed for H64 plays all the resolutions. MSFN site.

Maybe libavcodec needs updating?

This is in Lucid Puppy 2016. Firefox 45.8 ESR displays all the resolutions.
Some sites are jerky at 360p and I want the 240p option. On faster computers I would like 480p (not available with smtube).
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 853
Location: Ann Arbor MI USA

PostPosted: Sun 14 Jan 2018, 12:15    Post subject: Palemoon only 360p  

Disabling adblock and imageblock and a youtube downloader makes no difference.

Total cpu usage for 360p is just about 100%, which makes for jerky video.
240p would fix things.

This is a 1.6GHz 2004 HP zv5000 laptop. Most of my laptops are slower but worked fine with smtube 15 or 17 and lucid puppy 2016 until Youtube changed.

Smtube 18 works with Tahr puppy and mplayer 2015 or VLC (smoothly, on this 2004 laptop) but Tahr video does not work on at least two of my laptops (or Slacko or Xenial on the one I tested on).

Temporary solutions: Palemoon with Tahr puppy or Windows (Maybe smplayer still works with XP?).
Back to top
View user's profile Send private message 
Walter Dnes

Joined: 30 Dec 2016
Posts: 132

PostPosted: Mon 15 Jan 2018, 23:20    Post subject: Re: Pale Moon 27.7.0 available  

Pale Moon version 27.7.0 is available. This is a major update with bugfixes, enhancements and security/privacy changes. The release notes are at http://www.palemoon.org/releasenotes.shtml

Instructions for getting the mainstream release are at http://linux.palemoon.org/

The SSE-only build for Pentium3-class machines is available at URL ftp://contrib:get@ftp.palemoon.org/SSE-Linux/ Since the SSE build is not the mainline build it has to be installed manually as per instructions in the first post of thread https://forum.palemoon.org/viewtopic.php?f=40&t=13530
Back to top
View user's profile Send private message 
Walter Dnes

Joined: 30 Dec 2016
Posts: 132

PostPosted: Wed 17 Jan 2018, 01:30    Post subject: Re: Palemoon only 360p  

sindi wrote:
Total cpu usage for 360p is just about 100%, which makes for jerky video.
240p would fix things.

After some experimenting, I think I've found the "magic incantation" for multiple resolutions on Youtube in 27.7.0 SSE in Lupu...
Tools ==> Preferences ==> Content
In the bottom left corner is "Video" setup...
  • Checkmark "Enable Media Source Extensions (MSE)"
  • DO NOT checkmark "Use MSE asynchronously"
  • Checkmark "Enable MSE for MP4 video"
  • Checkmark "Enable MSE for WebM video"

You may have to restart Pale Moon for it to take effect. This gives me access to all the video modes.

EDIT: These settings may cause problems for other web sites. You may be better off creating a separate "youtube" profile, and making these changes in only the "youtube" profile, and leaving other profiles at the default settings.

Last edited by Walter Dnes on Wed 17 Jan 2018, 14:31; edited 1 time in total
Back to top
View user's profile Send private message 
bigpup


Joined: 11 Oct 2009
Posts: 10874
Location: Charleston S.C. USA

PostPosted: Wed 17 Jan 2018, 06:05    Post subject:  

There is also this from YouTube help.
Quote:
1) If you are logged in to your Youtube account, first sign off!
2) Go to Firefox settings and show all your cookies
3) Search for entries "youtube"
4) Here delete all entries for "youtube.com" (but leave "accounts.youtube.com" entries if you use an Youtube account!)

This is for Firefox, but they say this applies to any browser.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
Walter Dnes

Joined: 30 Dec 2016
Posts: 132

PostPosted: Thu 18 Jan 2018, 16:09    Post subject: Re: Pale Moon 27.7.1 available  

Pale Moon version 27.7.1 is available. This is a small emergency update to Pale Moon 27.7.0 to address website breakages as a result of an incomplete addition of a new feature in JavaScript. The release notes are at http://www.palemoon.org/releasenotes.shtml

Instructions for getting the mainstream release are at http://linux.palemoon.org/

The SSE-only build for Pentium3-class machines is available at URL ftp://contrib:get@ftp.palemoon.org/SSE-Linux/ Since the SSE build is not the mainline build it has to be installed manually as per instructions in the first post of thread https://forum.palemoon.org/viewtopic.php?f=40&t=13530
Back to top
View user's profile Send private message 
mikeslr


Joined: 16 Jun 2008
Posts: 2525
Location: 500 seconds from Sol

PostPosted: Wed 31 Jan 2018, 13:20    Post subject: Problem with Addons/Extensions
Subject description: Palemoon's Firefox Addons are not supported
 

Hi All,

Maybe it's just me. But, if it's not, the folks at Palemoon appear to not know what their left hand is doing. Or perhaps they're stuck with a situation not their choosing.

I recently did a new install of a Puppy which had palemoon builtin. As part of my setup routine, I ran Palemoon's updater and successfully updated to version 27.1. I then tried to install addons. As you know, you have two choices: the few maintained by Palemoon, itself, and those "firefox" extensions available from firefox's repo.

Unfortunately, selecting firefox takes opens to firefox's repo for those addons for firefox quatro versions. (a) There are, as yet, few of those; but more importantly, Palemoon has not been built against/from firefox quatro. Firefox's extensions will not install.

The message I received is "This add-on requires a newer version of Firefox (at least version 42.0). You are using Firefox 27.9."

I think --untested-- for now it may be possible to install extensions before upgrading. Alternatively, also untested, it may be possible if you are working with a couple of Puppies, to copy your profile which includes extensions to a safe place for use with other instances of Palemoon.

Other suggestions, work-arounds, are invited.

mikesLr
Back to top
View user's profile Send private message 
Sailor Enceladus

Joined: 22 Feb 2016
Posts: 1540

PostPosted: Wed 31 Jan 2018, 13:30    Post subject:  

Yes, Palemoon is based on Firefox 24ESR so addons for that version (or 24-28, I guess that's what it means by 27.9) will probably work best. A substantial amount of work has been done to get newer things in Firefox working on websites in Palemoon, though I doubt that includes addons, probably part of the "go blow yourself Australis/FF29" motto. Very Happy Sometimes Palemoon has it's own version of addons too. I don't use many addons but you might find this site useful: https://addons.palemoon.org/incompatible/
Back to top
View user's profile Send private message 
Walter Dnes

Joined: 30 Dec 2016
Posts: 132

PostPosted: Wed 31 Jan 2018, 19:34    Post subject:  

Long story... up until recently Firefox supported XUL extensions, so several Firefox extensions were compatible with Pale Moon, Firefox has now deprecated XUL in favour of WebExtensions. So current "Firefox-compatable" extensions will no longer run on Pale Moon. From the Pale Moon roadmap page https://www.palemoon.org/roadmap.shtml "Pale Moon is not Firefox, and will never be again."

Another issue ssems to be Firefox's version numbering and "user-agent-sniffing". Firefox seems to follow Chrome in boosting the version number by whole integers where a 0.1 boost would be more appropriate. That's why Firefox is at 58 and Pale Moon is at 27. A hack around user-agent-sniffing is to lie to the web site. E.g. in "about:config" set

general.useragent.override.addons.mozilla.org
Mozilla/5.0 (X11; Linux x86_64; rv:52.9) Gecko/20100101 Firefox/52.9 (Pale Moon)

Given that Mozilla has deprecated XUL extensions (except for ESR) it may not be useful to look at Mozilla addons much longer.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1629
Location: Italy

PostPosted: Wed 31 Jan 2018, 23:35    Post subject:  

Many archived versions of Mozilla addons are still working in Palemoon. I have recently installed Flagfox version 5.2.3.
Back to top
View user's profile Send private message 
tallboy


Joined: 21 Sep 2010
Posts: 1009
Location: Oslo, Norway

PostPosted: Thu 01 Feb 2018, 00:37    Post subject:  

I have only one extension, Easy Copy 2.7.0, which lets me copy for example forum link and title in one click. Simply useful.

It would be smart to save a copy of your favorite add-ons/extensions for later, many of them will simply disappear, as time goes by...

_________________
True freedom is a live Puppy on a multisession CD/DVD.
Back to top
View user's profile Send private message 
watchdog

Joined: 28 Sep 2012
Posts: 1629
Location: Italy

PostPosted: Thu 01 Feb 2018, 13:39    Post subject:  

Your extensions are all in /root/.moonchild productions/palemoon/xxyyzz.default/extensions. You can copy the entire dir in another profile (and you'll be asked to install them...) or for backup.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 34 of 44 [652 Posts]   Goto page: Previous 1, 2, 3, ..., 32, 33, 34, 35, 36, ..., 42, 43, 44 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0963s ][ Queries: 15 (0.0218s) ][ GZIP on ]